> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Session entities



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/session
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/session:
    get:
      tags:
        - Session
      summary: List all Session entities
      operationId: listSession
      parameters:
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            type: integer
        - description: Number of results to skip
          in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Session'
                    type: array
                  limit:
                    nullable: true
                    type: integer
                  offset:
                    type: integer
                  total:
                    type: integer
                type: object
          description: List of Session
      security:
        - BearerAuth: []
components:
  schemas:
    Session:
      properties:
        approvedAt:
          format: date-time
          type: string
        approvedByUserId:
          type: string
        approvedRevisionId:
          type: string
        contentStatus:
          type: string
        currentRevisionId:
          type: string
        description:
          type: string
        endTime:
          format: date-time
          type: string
        eventId:
          type: string
        id:
          type: string
        kind:
          type: string
        orgId:
          type: string
        roomId:
          type: string
        speakerUserIdsJson:
          description: Arbitrary JSON value
        startTime:
          format: date-time
          type: string
        submissionId:
          type: string
        title:
          type: string
        trackId:
          type: string
      required:
        - id
        - orgId
        - eventId
        - title
        - kind
        - contentStatus
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````